Summary: Utilities that provide information out of the pseudo-filesystem 
Name: procps-ng
Version: 4.0.0
Release: 4%{?dist}
License: GPL+ and GPLv2 and GPLv2+ and GPLv3+ and LGPLv2+
URL: https://sourceforge.net/projects/procps-ng/
Source0: https://udomain.dl.sourceforge.net/project/%{name}/Production/%{name}-%{version}.tar.xz
Source1: README.top

BuildRequires: gcc autoconf automake make libtool
BuildRequires: ncurses-devel gettext-devel systemd-devel 
BuildRequires: po4a
Provides:      procps = %{version}-%{release}
Provides:      %{name}
Provides:      /sbin/sysctl
Provides:      /bin/ps	

%description
procps is a set of command line and full-screen utilities that provide
information out of the pseudo-filesystem most commonly located at /proc.
This filesystem provides a simple interface to the kernel data structures.
The programs of procps generally concentrate on the structures that describe
the processess running on the system.

%package devel
Summary:  Provides development headers of %{name}
Requires: %{name} = %{version}-%{release}
Provides: procps-devel = %{version}-%{release}

%description devel
This package provides development headers of %{name}.

%package i18n
Summary:  Internationalization pack for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description i18n
Internationalization pack for %{name}


%prep
%autosetup
cp -p %{SOURCE1} top/


%build
autoreconf -ivf
%configure --exec-prefix=/ --docdir=/unwanted --disable-static --disable-w-from --disable-kill \
           --enable-watch8bit --enable-skill --enable-sigwinch --enable-libselinux --with-systemd \
           --disable-modern-top --enable-pidwait
make CFLAGS="%{optflags}"


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
%find_lang %{name}
ln -s %{_bindir}/pidof %{buildroot}%{_sbindir}/pidof


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%license COPYING COPYING.LIB
%doc AUTHORS Documentation/bugs.md Documentation/FAQ NEWS README.md top/README.top
%{_mandir}/man{1,5,8}/*
%{_libdir}/libproc-2.so.*
%{_bindir}/*
%{_sbindir}/pidof
%{_sbindir}/sysctl
%exclude /unwanted/*


%files devel
%license COPYING COPYING.LIB
%{_mandir}/man3/*
%{_libdir}/libproc-2.so
%{_libdir}/pkgconfig/libproc-2.pc
%{_includedir}/procps


%files i18n -f %{name}.lang
%{_mandir}/{de,fr,pl,pt_BR,sv,uk}/*/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.0-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 12 2022 doriscchao <doriscchao@tencent.com> - 4.0.0-2
- add provides /sbin/sysctl and /bin/ps

* Tue May 24 2022 doriscchao <doriscchao@tencent.com> - 4.0.0-1
- initial build,Version 4.0.0, Release 1
